Subject: Re: linux-next: Tree for Sep 25

From: Fengguang Wu <[email-masked]>
Date: Thu, 3 Oct 2013 21:30:51 +0800

On Wed, Sep 25, 2013 at 05:47:28PM -0700, Joe Perches wrote:
> On Wed, 2013-09-25 at 14:43 +1000, Stephen Rothwell wrote:
> > Hi all,
> > 
> > Heads up: I will be having a 3 week break leading up to the kernel
> > summit.  This means that next-20130927 (next Friday) will be the last
> > linux-next release until next-20131028 (or maybe 29).  I presume that
> > Linus will be up to v3.12-rc7 by then and -rc7 is often the last before
> > a release ... Please plan accordingly.
> 
> Hi Stephen.
> 
> Maybe this is a good time for an experiment.
> 
> Perhaps it would be interesting if you still had a script
> running every workday and pushed out the result tree without
> trying to do any patch conflict resolution yourself.
> 
> Maybe notify the owners of the trees that conflict and let
> them work out whatever resolutions that are necessary.
> 
> I think FengGuang's robot can supply most all the details
> necessary and maybe you can do a lot less work in the future.

It's a good idea, unfortunately Stephen has already went to vocation.
I could try the auto merge and merge-failure reports and hand the
script over to Stephen when he is back. However the merge conflicts
will have to be handled by the relevant developer/maintainers.

Thanks,
Fengguang